# Microeconometrics
# Workbook 1
# OLS
# Name: 

rm(list=ls())
setwd("C:\\Users\\budzi\\Documents\\ME QPE\\2023\\Class 1")        # sets the access path (sometimes change the characters '\' to '/' is needed)


hedonic <- readRDS("me.hedonic.rds")

## Hedonic analysis of external effects of farming

## Exercise 1:  Estimate a basic regression model in which logarithm of house prices is explained by the other variables
# Aim of the analysis is to find what is a relationship between Price and variables Farmland and Nitro - this is likely to be nonlinear

# 1.1 Check whether assumptions of OLS are valid for this model





# Brief comment with the results of the analysis:

# 1.2 Analyze visually the relationship between residuals from the model and variables farmland and nitro
  # Farmland - what percentege of the landscape is transformed for farming
  # Nitro - how much nitrogen is used on the fields in the neighborhood





# Brief comment with the results of the analysis:

## Exercise 2: Try to find a proper functional form for this model
  # Focus on the nonlinear relationships for variables farmland and nitro (they are the focus of this analysis)
  # Of course you may also transform some other variables (for example, factor variables)
  # Try adding some interactions between variables





# Brief comment with the results of the analysis:

## Exercise 3: Check whether there are any influential observations in the model from the previous exercise







# Brief comment with the results of the analysis:

## Exercise 4a: Check using Box-Cox transformation whether the logarithmic transformation of the dependent variable is justified



# Brief comment with the results of the analysis:

## Exercise 4b: Use splines to further explore these non-linear relationships
  # Visualize splines on the plot, do they look similarly to the non-linear forms you found in Exercise 2? 




# Brief comment with the results of the analysis:

## Exercise 5: Estimate model with heteroskedasticity
  # Is variance of error term constant? If not: which variables does it depend on? 




# Brief comment with the results of the analysis:


## Summary of your findings: 


